#!/usr/bin/perl

	if ($ARGV[0] != 0){
		&loop();
	} else {
		print ("Please Specify Data Rate (Mbps)!!\n");
	}

sub loop{
	$infile = "test$ARGV[0].log";
	$outfile = "test$ARGV[0].res";
	$outfile2 = "test$ARGV[0].plt";
	open (IN,"$infile") || die "Opening $infile failed."; 
	open (OUT,">$outfile") || die "Opening $outfile failed."; 
	open (OUT2,">$outfile2") || die "Opening $outfile2 failed."; 

	print ("New File $outfile Opened!!\n");


	if ($ARGV[1] != 0) { $marker = $ARGV[1]; }
	elsif ($ARGV[1] == 0) { $marker = 120000; }
	@list = <IN>;
	local($str);
	$str = "###";
	$sum = 0;
	$max = 0;
	$min = 100000000000;
	$count = 0;
#In case Bit Rate 64 Only
#	$ressec = 1500;
	$ressec = 0;
	for ($i=0; $i<=$#list; $i++){
		if ($list[$i] =~ $str){
			$count++;
			if ($summaxmin > $max){ $max = $summaxmin;}
			if ($summaxmin < $min && $summaxmin != 0){
				$min = $summaxmin;
			}
			$ressec += ($summaxmin * 8 / ($ARGV[0] * 1000000));
			printf OUT2 ("%d %d %f\n",$count,$ressec/60, $marker);
			$summaxmin = 0;
		} else {
			($a,$b,$c,$d,$e,$f) = split(/\s+/,$list[$i]);

			$sum += $e;
			$summaxmin += $e;
		}
	}
	$bit = $sum * 8;
	$ave = $sum/$count;
	$avebit = $bit/$count;
	$sec = $bit/($count * $ARGV[0] * 1000000);
	$maxsec = ($max * 8) / ($ARGV[0] * 1000000);
	$minsec = ($min * 8) / ($ARGV[0] * 1000000);
	printf OUT (" Total Data = $sum  $bit(Bit)\n");
	printf OUT (" Total Obs Number = $count\n");
	printf OUT (" Average Obs Byte = $ave  $avebit(Bit)\n");
	printf OUT (" Average sec = $sec\n");
	printf OUT (" Max bit = %d    Min bit = %d\n",$max * 8,$min * 8);
	printf OUT (" Max sec = $maxsec     Min Sec = $minsec\n");
	printf (" Total Data = $sum  $bit(Bit)\n");
	printf (" Total Obs Number = $count\n");
	printf (" Average Obs Byte = $ave  $avebit(Bit)\n");
	printf (" Average sec = $sec\n");
	printf (" Max bit = %d    Min bit = %d\n",$max * 8,$min * 8);
	printf (" Max sec = $maxsec     Min Sec = $minsec\n");
close (IN);
close (OUT);
}


